// Compile: FlagShip hello2.prg -o hello2     # compile for hybrid mode
// Execute: hello2  (or ./hello2)             # GUI mode (auto detect)
//      or: hello2 -io=t                      # Terminal mode
//      or: newfswin ./hello2                 # Unix/Linux Terminal mode 
//
// -> see also: hello.prg, boxcommand.prg, pc8lines.prg
// ->    fsman: FSC, CMD, REL, LNG.9

#include "fspreset.fh"     // see <FlagShip_dir>/include directory
#include "box.fh"          // and section PRE, LNG.9 of fsman

set color to "W/B"
// cls
? "hello world" 
? "hello world" COLOR "R+/B" GUICOLOR "R+"
?

set font "courier", 10     // use fixed font in GUI mode
set GUICOLOR ON            // consider COLOR clause also in GUI mode
set GUITRANSL LINES ON     // draw PC-8 lines via @..TO also in GUI mode
set GUITRANSL BOX   ON     // draw PC-8 boxes via @..BOX also in GUI mode

? " white on blue " COLOR "w+/b"
@ row()+2,20 say " yellow on green " COLOR "GR+/G"

@ 11,0 clear

@ 12,3,16,17 BOX B_SINGLE + " " COLOR "GR+/B"
@ 14,5 say "hello world" COLOR "W+/B"

@ 12,20,16,34 BOX B_DOUBLE + " " COLOR "GR+/B"
@ 14,22 say "hello world" COLOR "GR+/B"

setpos(20,0)
wait
