/* C++ modules required for CB 6.54
 *    RDD API for the CB4FOX, CB4CDX, CB4NDX, CB4MDX and CB4NTX
 *    by using CodeBase 6.54 multiplatform version 
 *    (not included in the FlagShip package, contact Sequiter Inc.)
 *
 * (c) 2004 multisoft Datentechnik GmbH, Munich. All rights reserved.
 * Release $Date: 2004/10/27 09:43:03 $                                     
 */
#include "rddcb4cpp.h"
#ifdef P4ARGS_USED
   #pragma argsused
#endif

long CB4FS_cpp_LockedRec(DATA4 *data)
{
   long recLock = 0;
   Lock4 *lock;
   
   lock = (Lock4 *)data->lockedRecords.initIterate();    // c++  
   if(lock)
      recLock = lock->recNum;
   return recLock;   
}

/* eof */
