#ifdef COMMENT_ONLY
/* For FlagShip 5 
 * Copyright (c) 2001 by multisoft GmbH, Munich, Germany 
 *
 * You may modify this source according to your needs and distribute the
 * object code freely with your executable. You may distribute also the 
 * modified source code when your application is distributed in source, 
 * but may not remove the copyright notice.
 * 
 * Release $Date: 2005/12/17 09:55:09 $
 */
#endif

static char *fileID="@@#asciRdd:FieldPos() $Revision: 1.3 $";

#include "asgener.h"

AsMethod(fieldpos)
{
    AsMethodObjPtr(pxSelf);

    FSint  iFNo;                             /* FS621: register... disabled */
    FSint  iFCount = AsFCount(pxSelf);       /* FS621: register... disabled */
    FSchar cFName[11];

    fgsStartMethod(fieldpos);

    if(!AsIsDbUsed(pxSelf) || !ISCHRARG(1)) goto error_return;

    toupr_strncpy((FSuchar *) cFName, VAR_CHR(argv[1]), 11);
    trim(cFName);

    for(iFNo = 0; iFNo < iFCount; iFNo++)
    {
        if(!strcmp(cFName, (FSchar *) AsFName(pxSelf, iFNo)))
        {
            return fgsEndMethod(SET_VAR_INT(VAR_NEW, iFNo + 1));
        }
    }

 error_return:
    
    return fgsEndMethod(IZERO_VAR);
}
/* EOF asfldpos.c */
