#ifdef COMMENT_ONLY
/* For FlagShip 5 
 * Copyright (c) 2001 by multisoft GmbH, Munich, Germany 
 *
 * You may modify this source according to your needs and distribute the
 * object code freely with your executable. You may distribute also the 
 * modified source code when your application is distributed in source, 
 * but may not remove the copyright notice.
 * 
 * Release $Date: 2001/07/30 14:04:55 $
 */
#endif

/*--------------------------------------------------------------------------*
 | asprotos.h                all prototypes for asci   RDD                  |
 *--------------------------------------------------------------------------*/

#if !defined(_AS_PROTOTS_H_)
#define _AS_PROTOTS_H_

AsMethodProto(axit);                      
AsMethodProto(close);                     
AsAcMetProto(eof);                       
AsMethodProto(fieldpos);                       
AsAcMetProto(recno);                     
AsMethodProto(skip);                      
AsAcMetProto(used);                      

/*
 *  AsciRdd functions
 */
extern FSvoid        asClearObject      FGS_ANSI((FSvar *));
extern FSint         asClrRecord        FGS_ANSI((xAsciRdd *));
extern FSvoid        asInvalidateFields FGS_ANSI((xAsciRdd *));
extern FSint         asReadBuff         FGS_ANSI((xAsciRdd *));

/*
 *  FlagShip internal undocumented functions
 *  Note: subject to change w/o prior notice
 */
extern FSint         fclose_fil         FGS_ANSI((FILE *));
extern fgsWorkArea * fgsSelect          FGS_ANSI((FSvar *, FSint));
extern FSint         fgsSetNeterr       FGS_ANSI((FSint));
extern FILE        * fopen_fil          FGS_ANSI((FSchar *, FSchar *));
extern FSulong       get_dat            FGS_ANSI((FSchar *));
extern FSdouble      msf_atof1          FGS_ANSI((FSchar *, FSchar **, FSint));
extern FSvar       * rt_error           FGS_ANSI((FSint, FSchar *));
extern FSuchar     * toupr_strncpy      FGS_ANSI((FSuchar *, FSuchar *,FSint));
extern FSint         trim               FGS_ANSI((FSchar *));

#endif
/* EOF asprotos.h */
