/* FS2demo: Demo/Testprogram for  mathematic functions            
 *
 * For FlagShip 5 and 6
 * Copyright (c) 2003..07 by multisoft GmbH, Munich, Germany 
 *
 * You may freely modify this source according to your needs and/or
 * re-use any parts of it in your source code.
 * Release $Date: 2007/06/26 13:33:15 $
 *
 * Compile by "make" (or "nmake" with MS-VC6)
 */

*procedure demo_mat
parameters p1

if wahl = 0
   return
endif

set date german
setcolor(enh_color)
set decimals to 0

@ 5,2 say "Function: " + upper(datefn_arr[p1]) + ":"
setcolor(std_color)
@ 7,2 say ''
? "set date german       act_datum =", date()
? "                      systems91 =", ctod("21.10.91")
? "                      cebit92   =", ctod("11.03.92")

act_datum = date()
systems91 = ctod("21.10.91")
cebit92   = ctod("11.03.92")

do case
   case p1 =  1                                          && addmonth()
     ? "addmonth()           =", addmonth()
     ? "addmonth(act_datum)  =", addmonth(act_datum)
     ? "addmonth(systems91)  =", addmonth(systems91)
     ? "addmonth(cebit92)    =", addmonth(cebit92)
     ? "addmonth(1)          =", addmonth(1)
     ? "addmonth(act_datum,1)=", addmonth(act_datum,1)
     ? "addmonth(systems91,1)=", addmonth(systems91,1)
     ? "addmonth(cebit92,1)  =", addmonth(cebit92,1)
     ? "addmonth(3)          =", addmonth(3)
     ? "addmonth(act_datum,3)=", addmonth(act_datum,3)
     ? "addmonth(systems91,3)=", addmonth(systems91,3)
     ? "addmonth(cebit92,3)  =", addmonth(cebit92,3)

   case p1 >=  2 .and. p1 <= 7         && bom() boq() boy() eom() eoq() eoy()
     ? "bom()       =", bom(),         "bom(act_datum )=", bom(act_datum)
     ? "boq()       =", boq(),         "boq(act_datum )=", boq(act_datum)
     ? "boy()       =", boy(),         "boy(act_datum )=", boy(act_datum)
     ? "eom()       =", eom(),         "eom(act_datum )=", eom(act_datum)
     ? "eoq()       =", eoq(),         "eoq(act_datum )=", eoq(act_datum)
     ? "eoy()       =", eoy(),         "eoy(act_datum )=", eoy(act_datum)
     ? "bom(cebit92)=", bom(cebit92),  "bom(systems91 )=", bom(systems91)
     ? "boq(cebit92)=", boq(cebit92),  "boq(systems91 )=", boq(systems91)
     ? "boy(cebit92)=", boy(cebit92),  "boy(systems91 )=", boy(systems91)
     ? "eom(cebit92)=", eom(cebit92),  "eom(systems91 )=", eom(systems91)
     ? "eoq(cebit92)=", eoq(cebit92),  "eoq(systems91 )=", eoq(systems91)
     ? "eoy(cebit92)=", eoy(cebit92),  "eoy(systems91 )=", eoy(systems91)

   case p1 =  8   .or. p1 = 9                            && ctodow, ctomonth()
     ? "ctomonth('January ') =",ctomonth('January ')," ctodow('Monday')   =",ctodow('Monday')
     ? "ctomonth('February') =",ctomonth('February')," ctodow('Dienstag') =",ctodow('Dienstag')
     ? "ctomonth('March')    =",ctomonth('March')           ," ctodow('Wednesday')=",ctodow('Wednesday')
     ? "ctomonth('April')    =",ctomonth('April')           ," ctodow('Thursday') =",ctodow('Thursday')
     ? "ctomonth('May')      =",ctomonth('May')   ," ctodow('Friday')   =",ctodow('Friday')
     ? "ctomonth('June')     =",ctomonth('June')  ," ctodow('Saturday') =",ctodow('Saturday')
     ? "ctomonth('July')     =",ctomonth('July')  ," ctodow('Sunday')   =",ctodow('Sunday')
     ? "ctomonth('August')   =",ctomonth('August')
     ? "ctomonth('September')=",ctomonth('September')
     ? "ctomonth('October')  =",ctomonth('October')
     ? "ctomonth('November') =",ctomonth('November')
     ? "ctomonth('December') =",ctomonth('December')

   case p1 =  10  .or. p1 = 11                          && mdy() dmy()
     set century on
     ? "dmy(         )     =", dmy(         )
     ? "dmy(act_datum)     =", dmy(act_datum)
     ? "dmy(systems91)     =", dmy(systems91)
     ? "dmy(cebit92  )     =", dmy(cebit92  )
     ? "dmy(          .F.) =", dmy(          .F.)
     ? "dmy(act_datum,.T.) =", dmy(act_datum,.T.)
     set century off
     ? "dmy(systems91,.T.) =", dmy(systems91,.T.)
     ? "dmy(cebit92  ,.T.) =", dmy(cebit92  ,.T.)
     ? "mdy(         )     =", mdy(         )
     ? "mdy(act_datum)     =", mdy(act_datum)
     ? "mdy(systems91)     =", mdy(systems91)
     ? "mdy(cebit92  )     =", mdy(cebit92  )

   case p1 = 12                                          && isleap()
   set century on
   @ 6,0 clear
   @ 7,1 say ''
   for ii = 1991 to 2005
     ? "The year",ii,"is", ;
       if (isleap(ctod("01.01." + str(ii,4))), "   ", "not"), ;
       "a leap year"
   next
   set century off
   case p1 = 13                                          && lastdayom()
     ? "lastdayom( 1)=", lastdayom( 1)
     ? "lastdayom( 2)=", lastdayom( 2)
     ? "lastdayom( 3)=", lastdayom( 3)
     ? "lastdayom( 4)=", lastdayom( 4)
     ? "lastdayom( 5)=", lastdayom( 5)
     ? "lastdayom( 6)=", lastdayom( 6)
     ? "lastdayom(         )=", lastdayom(         )
     ? "lastdayom(act_datum)=", lastdayom(act_datum)
     ? "lastdayom(systems91)=", lastdayom(systems91)
     ? "lastdayom(cebit92  )=", lastdayom(cebit92  )

   case p1 = 14                                          && ntocdow()
     ? "ntocdow(1)=", ntocdow(1)
     ? "ntocdow(2)=", ntocdow(2)
     ? "ntocdow(3)=", ntocdow(3)
     ? "ntocdow(4)=", ntocdow(4)
     ? "ntocdow(5)=", ntocdow(5)
     ? "ntocdow(6)=", ntocdow(6)
     ? "ntocdow(7)=", ntocdow(7)

   case p1 = 15                                          && ntocmonth()
     ? "ntocmonth( 1)=",ntocmonth( 1)
     ? "ntocmonth( 2)=",ntocmonth( 2)
     ? "ntocmonth( 3)=",ntocmonth( 3)
     ? "ntocmonth( 4)=",ntocmonth( 4)
     ? "ntocmonth( 5)=",ntocmonth( 5)
     ? "ntocmonth( 6)=",ntocmonth( 6)
     ? "ntocmonth( 7)=",ntocmonth( 7)
     ? "ntocmonth( 8)=",ntocmonth( 8)
     ? "ntocmonth( 9)=",ntocmonth( 9)
     ? "ntocmonth(10)=",ntocmonth(10)
     ? "ntocmonth(11)=",ntocmonth(11)
     ? "ntocmonth(12)=",ntocmonth(12)

   case p1 = 16                                          && quarter()
     ? "quarter(         ) =", quarter(         )
     ? "quarter(act_datum) =", quarter(act_datum)
     ? "quarter(systems91) =", quarter(systems91)
     ? "quarter(cebit92  ) =", quarter(cebit92  )

   case p1 = 17 .or. p1 = 19                    && sectotime() timetosec()
     ? "timetosec('08:15') =", timetosec('08:15')
     ? "timetosec('12:00') =", timetosec('12:00')
     ? "timetosec('12:44') =", timetosec('12:44')
     ? "timetosec('23:59') =", timetosec('23:59')
     ? "timetosec('00:01') =", timetosec('00:01')
     ? ''
     ? "sectotime(timetosec('08:15'))=",sectotime(timetosec('08:15'))
     ? "sectotime(timetosec('12:00'))=",sectotime(timetosec('12:00'))
     ? "sectotime(timetosec('12:44'))=",sectotime(timetosec('12:44'))
     ? "sectotime(timetosec('23:59'))=",sectotime(timetosec('23:59'))
     ? "sectotime(timetosec('00:01'))=",sectotime(timetosec('00:01'))

   case p1 = 18                                          && stod()
     ? "stod(dtos(act_datum))", stod(dtos(act_datum))
     ? "stod(dtos(systems91))", stod(dtos(systems91))
     ? "stod(dtos(cebit92  ))", stod(dtos(cebit92  ))

   case p1 = 20                                          && timevalid()
     ? "timevalid('08:15')    =", timevalid('08:15')
     ? "timevalid('12:00')    =", timevalid('12:00')
     ? "timevalid('12:44')    =", timevalid('12:44')
     ? "timevalid('23:59:00') =", timevalid('23:59:00')
     ? "timevalid('00:01:30') =", timevalid('00:01:30')
     ? "timevalid('23:61')    =", timevalid('23:61')
     ? "timevalid('sdjfhg')   =", timevalid('sdjfhg')

   case p1 = 21                                          && waitperiod()
     ? "waitperiod(15000) = ", waitperiod(15000)
     do while .T.
        x = waitperiod()
        @ 14, 20 say "The display changes after 15000 milliseconds"
        @ 15, 20 say " waitperiod() = "
        @ 15, 40 say x
        if !x
     exit
        endif
     enddo
   case p1 = 22 .or.  p1 = 23                            && week()
     ? "week(         )=", week(         )
     ? "week(act_datum)=", week(act_datum)
     ? "week(systems91)=", week(systems91)
     ? "week(cebit92  )=", week(cebit92  )
     ? ''
     ? "wom(         )=", wom(         )
     ? "wom(act_datum)=", wom(act_datum)
     ? "wom(systems91)=", wom(systems91)
     ? "wom(cebit92  )=", wom(cebit92  )
     ? "doy(         )=", doy(         )
     ? "doy(act_datum)=", doy(act_datum)
     ? "doy(systems91)=", doy(systems91)
     ? "doy(cebit92  )=", doy(cebit92  )
   otherwise
      do def_infunc with datefn_arr[p1]
endcase
do ende_wait
set decimals to 2

return


