// Test for user modiable GUI keyboard translation
//    Release $Date: 2004/09/09 17:34:04 $
//
// 1. copy <FlagShip_dir>/terminfo/FSguikey.def .
// 2. compile Linux  : FlagShip fsguikey.prg -o fsguikey
//    compile Windows: FlagShip fsguikey.prg
// 3. set environment variable
//       Linux  : export FSPRINTKEYRAW=1
//       Windows: SET FSPRINTKEYRAW=1
//    where 1=print key press, 2=print mouse events, 3=print both
// 4. run: fsguikey  [your_filename]
// 5. edit the raw-key translation at the and of FSguikey.def
//    according to the displayed key value
// 6. add FS_SET("guikey", "FSguikey.def") in your applic
//    Note: instead of "FSguikey.def" you of course may use any
//    name of your choice

function main(cFile)

if AppIoMode() != "G"
   wait "This test is concepted for GUI i/o mode only..."
   quit
endif

//optional: set different font
// set font "courier", 10

if empty(cFile)
   cFile = "FSguikey.def"
endif
if !file(cFile)
   ? "Sorry, cannot locate/open file '" + cFile + "'"
   wait
   quit
endif

//optional: set output charset
// m->oApplic:Font:CharSet(FONT_ISO8859_1)

//use local GUI keyboard translation table, def = FSguikey.def
FS_SET("guikey", cFile)

? "Press the required key or ESC or 'q' to exit this loop."
? "Watch the displayed value of 'iRawKey=' on console screen and"
? "optionally edit the " + cFile + " file accordingly, then"
? "re-read the " + cFile + " file by F1 key."
?
while .T.
   ? "key (or F1 to re-read settings, ESC/'q' to exit): "
   key := inkey(0)
   if key == K_F1
      FS_SET("guikey", cFile)
      ?? "translation table " + FS_SET("guikey") + " re-read"
      loop
   endif
   if key == K_ESC .or. chr(key) == "q"
      exit
   endif
   ?? "(" + ltrim(key) + ") =", chr(key)
enddo

cls
cVar := space(20)
? "check now SAY/GET and Memoedit()"

@ 2,0 say "enter text" get cVar
read
@ 2,50 say cVar

MemoEdit(cVar, 4,1, 15,70)
setpos(16,0)
wait
quit
